$(document).ready(initIePatches);

function initIePatches() {
	if($.browser.msie) {
		fixSidebar();
		fixFlickering();
	};
};

// Fix hover in the sidebar for IE
function fixSidebar() {
	$(".sidebar li").hover(
		function(){
			$(this).addClass("active");
		},
		function(){
			$(this).removeClass("active");
		}
	);
};

function fixFlickering() {
	// Set the height of .main the hard way
	$(".main").css("height", "100%");
};